summaryrefslogtreecommitdiff
path: root/prepare
diff options
context:
space:
mode:
Diffstat (limited to 'prepare')
-rwxr-xr-xprepare11
1 files changed, 11 insertions, 0 deletions
diff --git a/prepare b/prepare
new file mode 100755
index 0000000..c433c1b
--- /dev/null
+++ b/prepare
@@ -0,0 +1,11 @@
+#!/bin/sh
+set -e
+if [ -z "$(command -v zig)" ]; then
+ echo "Install zig v0.13.0"
+ exit 1
+fi
+if [[ "$(zig version)" != "0.13.1" ]]; then
+ echo "Zig version is not 0.13.0. Let's hope this compiles."
+fi
+zig build -Doptimize=ReleaseFast
+echo "Success"